com.hazelcast.client.config

## Class ClientCloudConfig

- java.lang.Object
- - com.hazelcast.client.config.ClientCloudConfig

-     public class ClientCloudConfig
      extends Object

  hazelcast.cloud configuration to let the client connect the cluster via hazelcast.cloud

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientCloudConfig()`
    `ClientCloudConfig(ClientCloudConfig cloudConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getDiscoveryToken()` hazelcast.cloud discoveryToken of your cluster
    `int` | `hashCode()`
    `boolean` | `isEnabled()`
    `ClientCloudConfig` | `setDiscoveryToken(String discoveryToken)`
    `ClientCloudConfig` | `setEnabled(boolean enabled)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientCloudConfig

          public ClientCloudConfig()

    - #### ClientCloudConfig

          public ClientCloudConfig(ClientCloudConfig cloudConfig)

  - ### Method Detail

    - #### getDiscoveryToken

          public String getDiscoveryToken()

      hazelcast.cloud discoveryToken of your cluster
      Returns:
        discoveryToken

    - #### setDiscoveryToken

          public ClientCloudConfig setDiscoveryToken(String discoveryToken)

      Parameters:
        `discoveryToken` - hazelcast.cloud discoveryToken of your cluster
      Returns:
        configured `ClientCloudConfig` for chaining

    - #### isEnabled

          public boolean isEnabled()

      Returns:
        true if enabled, false otherwise

    - #### setEnabled

          public ClientCloudConfig setEnabled(boolean enabled)

      Parameters:
        `enabled` - true to use hazelcast.cloud
      Returns:
        configured `ClientCloudConfig` for chaining

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.